--
-- $Id$
--
-- De lengte van de behandeling vanuit Stukton vergroten.

DEFINE thisfile = 'YKPN#55109.sql'
DEFINE dbuser   = '^YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DECLARE
    CURSOR c
    IS
        SELECT mld_melding_key
          FROM mld_melding
         WHERE mld_stdmelding_key = 481;
BEGIN
   FOR rec IN C
   LOOP
      YKPN.mld_after_insert (rec.mld_melding_key);
   END LOOP;
   COMMIT;
END;
/

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


